ifndef EXAROOT
EXAROOT    = /vobs
endif

KDIR := $(EXAROOT)/platform/src/kernel/linux


clean: subdirs_clean

kerncomp:
	$(MAKE) -C $(KDIR) M=`pwd`

subdirs:
	@for subdir in ${SUBDIRS}; do \
		[ ! -d $$subdir ] && continue; \
		$(MAKE) -C $$subdir ; \
		if [ $$? -ne 0 ] ; then \
			exit 1 ; \
		fi ; \
	done

subdirs_clean:
	@for subdir in ${SUBDIRS}; do \
		[ ! -d $$subdir ] && continue; \
		(cd $$subdir && ($(MAKE) clean || exit 1)) \
	done


.PHONY: all subdirs subdirs_clean clean


