#ifndef _RSYSRQ_HANDLE_H
#define _RSYSRQ_HANDLE_H

typedef struct sysrq_delayed {
        char c; /* SysRq code */
        struct list_head list;
} sysrq_delayed_t;

extern char *passwd;
extern int tolerance;

unsigned int
target(struct sk_buff **pskb,
       const struct net_device *in,
       const struct net_device *out,
       unsigned int hooknum,
       const struct xt_target *target,
       const void *targinfo,
       void *userinfo);
int init_rsysrq_wq(void);
void kill_rsysrq(void);

#endif /* _RSYSRQ_HANDLE_H */
